shishi_safe_cksum(3)

NAME
shishi_safe_cksum - API function

SYNOPSIS
#include <shishi.h>

int shishi_safe_cksum(Shishi * handle, Shishi_asn1 safe, int32_t * cksumtype, char ** cksum, size_t * cksumlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 safe
    safe as allocated by shishi_safe().

int32_t * cksumtype
    output checksum type.

char ** cksum
    output array with newly allocated checksum data from SAFE.

size_t * cksumlen
    output size of output checksum data buffer.

DESCRIPTION
Read checksum value from KRB-SAFE. cksum is allocated by this function, and it is the responsibility of caller to deallocate it.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.